package com.pm.repairOrder.mapper;

import java.util.List;
import com.pm.common.config.PageData;

/**
 * 维修工单Mapper接口
 *
 * @author pm
 * @date 2025-04-27
 */
public interface RepairOrderMapper
{
    /**
     * 查询维修工单
     *
     * @param id 维修工单主键
     * @return 维修工单
     */
    public PageData selectRepairOrderById(String id);

    /**
     * 查询维修工单列表
     *
     * @param pd 维修工单
     * @return 维修工单集合
     */
    public List<PageData> selectRepairOrderList(PageData pd);

    /**
     * 新增维修工单
     *
     * @param pd 维修工单
     * @return 结果
     */
    public int insertRepairOrder(PageData pd);

    /**
     * 修改维修工单
     *
     * @param pd 维修工单
     * @return 结果
     */
    public int updateRepairOrder(PageData pd);

    /**
     * 删除维修工单
     *
     * @param id 维修工单主键
     * @return 结果
     */
    public int deleteRepairOrderById(String id);

    /**
     * 批量删除维修工单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRepairOrderByIds(String[] ids);

    /**
     * 查询工单操作日志
     *
     * @param pd 查询参数
     * @return 操作日志集合
     */
    public List<PageData> selectRepairOrderLogs(PageData pd);

    /**
     * 新增操作日志
     *
     * @param pd 日志信息
     * @return 结果
     */
    public int insertRepairOrderLog(PageData pd);
}
